/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef AUTOLIST_H
#define AUTOLIST_H

#include "utils.h"

#include <iostream>
#include <vector>
#include <fstream>
using namespace std;

struct AutoListFile
{
  string filename;
};

struct AutoListWord
{
  string word;
  vector<int> files;
};

class AutoList
{
public:
  void autolist_parse_files (vector<string>);
  void autolist_parse_file (int);
  void autolist_add_file (string);
  void autolist_clean_all ();
  bool autolist_check_char (char);
  void autolist_add_word (string, int);

  int autolist_find_word (string);
  int autolist_find_file (string);

  vector<string> autolist_get_matches (string);
  
private:
  vector<AutoListFile> files;
  vector<AutoListWord> words;
};

#endif
