/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OUTPUTBUILD_H
#define OUTPUTBUILD_H

#include "settings.h"

#include <gtk/gtk.h>
#include <iostream>
using namespace std;

class OutputBuild
{
public:
  OutputBuild();

  GtkWidget* get_build_box();
  GtkWidget* get_swin();

  bool run_command(string, EnvironmentSettings*);
  void stop_build();

  void erase();
  void add_row(string, string);
  void update_output();

private:
  GtkWidget *build_box, *swin;
  GtkTreeModel *model;
  GtkCellRenderer *renderer;
  GtkTreeRowReference *row;
  GtkTreeViewColumn *column;

  bool continue_build;
};

#endif
