/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OUTPUTMANAGER_H
#define OUTPUTMANAGER_H

#include "outputbuild.h"
#include "outputsearch.h"
#include "outputterminal.h"

class OutputManager
{
public:
  OutputManager();

  GtkWidget* get_build_box();
  GtkWidget* get_search_box();
  GtkWidget* get_terminal();

  GtkWidget* get_build_swin();
  GtkWidget* get_search_swin();

  OutputBuild* get_build();
  GtkWidget* get_notebook();

  void run_terminal_command(string);
  void grab_terminal_focus();

private:
  OutputSearch *search;
  OutputBuild *build;
  OutputTerminal *terminal;
  GtkWidget *notebook;

  // Notebook label widgets
  GtkWidget *compiler, *findtab, *terminaltab;
  GtkWidget *compiler_label, *findtab_label, *terminaltab_label;
  GtkWidget *compiler_image, *findtab_image, *terminaltab_image;
};

#endif
