/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "view.h"

// Show or hide the toolbar
void openldev_view_toolbar (GtkMenuItem *menuitem,
                            gpointer data) 
{
  OpenLDev *ptr = (OpenLDev*) data;
  
  if (ptr->editor->get_toolbar()) 
  {
    gtk_widget_hide(ptr->toolbar);
    ptr->editor->set_toolbar(false);
  } 
  else 
  {
    gtk_widget_show(ptr->toolbar);
    ptr->editor->set_toolbar(true);
  }  
}

// Show or hide the status bar
void openldev_view_statusbar (GtkMenuItem *menuitem,
                              gpointer data) 
{
  OpenLDev *ptr = (OpenLDev*) data;
  
  if (ptr->editor->get_statusbar()) 
  {
    gtk_widget_hide(ptr->hbox);
    ptr->editor->set_statusbar(false);
  } 
  else 
  {
    gtk_widget_show(ptr->hbox);
    ptr->editor->set_statusbar(true);
  }  
}

// Show or hide the fileviewer
void openldev_view_fileviewer (GtkMenuItem *menuitem,
                               gpointer data) 
{
  OpenLDev *ptr = (OpenLDev*) data;
  
  if (ptr->editor->get_fileviewer()) 
  {
    gtk_widget_hide(ptr->browser->get_notebook());
    ptr->editor->set_fileviewer(false);
  } 
  else 
  {
    gtk_widget_show(ptr->browser->get_notebook());
    ptr->editor->set_fileviewer(true);
  }  
}

// Show or hide the build output box
void openldev_view_buildbox (GtkMenuItem *menuitem,
                             gpointer data) 
{
  OpenLDev *ptr = (OpenLDev*) data;
  
  if (ptr->editor->get_buildbox()) 
  {
    gtk_widget_hide(ptr->output->get_notebook());
    ptr->editor->set_buildbox(false);
  } 
  else 
  {
    gtk_widget_show(ptr->output->get_notebook());
    ptr->editor->set_buildbox(true);
  }  
}

// Show or hide the line numbering
void openldev_view_line_numbers (GtkMenuItem *menuitem,
                                 gpointer data) 
{
  OpenLDev *ptr = (OpenLDev*) data;
  
  if (ptr->env->get_line_numbers()) 
  {
    gtk_source_view_set_show_line_numbers(GTK_SOURCE_VIEW(ptr->noteman->noteman_get_textview()), false);
    ptr->env->set_line_numbers(false);
  } 
  else 
  {
    gtk_source_view_set_show_line_numbers(GTK_SOURCE_VIEW(ptr->noteman->noteman_get_textview()), true);
    ptr->env->set_line_numbers(true);
  }
  ptr->env->write_settings_file();
}
